Update a span score

Update a score for a specific span. Only provided fields are updated.

Path parameters

log_idstringRequired
Log Id
score_idstringRequired
Score Id

Headers

AuthorizationstringRequired

Bearer token. Use Bearer YOUR_API_KEY.

Request

This endpoint expects an object.
numerical_valuedoubleOptional

Numerical score value. Use when evaluator’s score_value_type is numerical.

string_valuestringOptional

String/text score value. Use when score_value_type is text or comment.

boolean_valuebooleanOptional

Boolean score value. Use when score_value_type is boolean.

categorical_valuelist of stringsOptional

Categorical score value. Use when score_value_type is single_select, multi_select, or categorical.

Response

Updated score.
idstring
Score ID.
created_atdatetime
Creation timestamp.
typeenum
Evaluator type.
Allowed values:
environmentstring
Environment.
numerical_valuedouble or null
Numerical score value.
string_valuestring or null

String/text score value.

boolean_valueboolean or null
Boolean score value.
categorical_valuelist of strings or null

Categorical score value (array of strings).

is_passedboolean
Whether the score passes the evaluator's conditions.
costdouble
Cost of running the evaluation.
evaluator_idstring or null
UUID of the Respan platform evaluator.
evaluator_slugstring or null
Custom string identifier for the evaluator.
log_idstring or null
Associated span ID.
dataset_idstring or null
Associated dataset ID.

Errors

401
Unauthorized Error
404
Not Found Error